Page MenuHomePhabricator

Log notification impressions and clicks again
Closed, ResolvedPublic

Description

We used to have EventLogging for impressions (views) of notifications and clicks on notification links, but that went away in the notification popup rewrite.

Event Timeline

Catrope created this task.Oct 6 2015, 11:14 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Needs Triage.
Catrope assigned this task to Mooeypoo.
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2015, 11:14 PM

Change 244057 had a related patch set uploaded (by Catrope):
Log notification impressions and clicks

https://gerrit.wikimedia.org/r/244057

Change 244057 merged by jenkins-bot:
Log notification impressions and clicks

https://gerrit.wikimedia.org/r/244057

Change 244079 had a related patch set uploaded (by Jforrester):
Log notification impressions and clicks

https://gerrit.wikimedia.org/r/244079

Change 244083 had a related patch set uploaded (by Jforrester):
Log notification impressions and clicks

https://gerrit.wikimedia.org/r/244083

Change 244079 merged by jenkins-bot:
Log notification impressions and clicks

https://gerrit.wikimedia.org/r/244079

Change 244083 merged by jenkins-bot:
Log notification impressions and clicks

https://gerrit.wikimedia.org/r/244083

Apparently it isn't resulting in data entering EL. :-(

TypeError: widget.getModel(...).getId is not a function

Change 244097 had a related patch set uploaded (by Catrope):
Follow-up f9e8c5057: fix JS error

https://gerrit.wikimedia.org/r/244097

Change 244097 merged by jenkins-bot:
Follow-up f9e8c5057: fix JS error

https://gerrit.wikimedia.org/r/244097

Change 244098 had a related patch set uploaded (by Catrope):
Follow-up f9e8c5057: fix JS error

https://gerrit.wikimedia.org/r/244098

Change 244099 had a related patch set uploaded (by Catrope):
Follow-up f9e8c5057: fix JS error

https://gerrit.wikimedia.org/r/244099

Change 244098 merged by jenkins-bot:
Follow-up f9e8c5057: fix JS error

https://gerrit.wikimedia.org/r/244098

Change 244099 merged by jenkins-bot:
Follow-up f9e8c5057: fix JS error

https://gerrit.wikimedia.org/r/244099

Apparently it isn't resulting in data entering EL. :-(

That would be because it was causing JS errors and breaking the notification popup for everybody. Sorry about that :S .

How about now?

Curse of the self-merge? :-)

Checked for JS errors in beta. Need to follow up after deploy.

research@s3-analytics-slave [log]> select distinct(event_action)  from EchoInteraction_5782287 where timestamp between '20151002' and '20151006';
Empty set (0.00 sec)
research@s3-analytics-slave [log]> select distinct(event_action)  from EchoInteraction_5782287 where timestamp between '20151003' and '20151007';
+-------------------------+
| event_action            |
+-------------------------+
| ui-badge-link-click     |
| notification-impression |
| notification-link-click |
+-------------------------+
3 rows in set (0.00 sec)
Catrope closed this task as Resolved.Oct 7 2015, 10:58 PM
Neil_P._Quinn_WMF reopened this task as Open.Oct 8 2015, 12:37 AM

@Catrope, when do you expect this to be in production? I'm still not seeing any events arrive in the database.

SELECT LEFT( timestamp, 10 ) as "hour", COUNT(*)
FROM EchoInteraction_5782287
WHERE timestamp >= "20151007000000"
GROUP BY hour;

No error; 0 rows affected, taking 82.4 ms

Moving back to development - event_action were recorded only on Oct06:

research@s3-analytics-slave [log]> SELECT event_action, timestamp, count(*)  FROM EchoInteraction_5782287 where timestamp>'20151001'   GROUP BY event_action;
+-------------------------+----------------+----------+
| event_action            | timestamp      | count(*) |
+-------------------------+----------------+----------+
| notification-impression | 20151001131518 |      129 |
| notification-link-click | 20151006071947 |        2 |
| ui-badge-link-click     | 20151006071934 |        4 |
+-------------------------+----------------+----------+
3 rows in set (0.00 sec)

Change 244605 had a related patch set uploaded (by Catrope):
Fix various bugs in mw.echo.Logger and its callers

https://gerrit.wikimedia.org/r/244605

Change 244605 merged by jenkins-bot:
Fix various bugs in mw.echo.Logger and its callers

https://gerrit.wikimedia.org/r/244605

It was blocked because we were waiting for some data to make sure we have the correct logging information.

If that is approved, we can close this.

Catrope closed this task as Resolved.Nov 19 2015, 3:55 AM
mysql:research@s3-analytics-slave [log]> SELECT event_action, count(*)  FROM EchoInteraction_5782287 where timestamp between '20151118' and '20151119'   GROUP BY event_action;
+-------------------------+----------+
| event_action            | count(*) |
+-------------------------+----------+
| notification-impression |   423415 |
| notification-link-click |     8272 |
| ui-badge-link-click     |    17081 |
| ui-help-click           |        8 |
| ui-prefs-click          |       62 |
+-------------------------+----------+
5 rows in set (2.78 sec)

Looks good to me

@Catrope

Looks good to me

Agree.